QGIS Application - Bug report #12436
GRASS vectors can be used as Processing input, but fail
2015-03-24 06:39 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.8.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20607
Description

GRASS vectors loaded in canvas are listed as Processing input, and can be used for analyses, but fail. | got two different failures:
- Split lines with lines: QGIS gets stuck at 100% CPU forever
- gdalogr:gridinvdist: data cannot be read
GDAL execution console output
Unable to open input datasource
"/home/paolo//grass/PERMANENT/dtm_points/1_point".

Associated revisions

Revision de728743 - 2015-07-03 08:18 AM - Victor Olaya

[processing] do not accept grass vector layers as inputs

fixes #12436

Revision d03793c4 - 2015-07-19 09:01 PM - Victor Olaya

[processing] do not accept grass vector layers as inputs

fixes #12436

(cherry picked from commit de728743b73541a320f68d087f4402a6d17620f1)

History

#1 - 2015-03-24 06:51 AM - Paolo Cavallini

Either filter out GRASS vectors, so they cannot be used for analyses (not listed), or, far better, add support for them too.

#2 - 2015-07-02 11:19 PM - Victor Olaya
- Status changed from Open to Closed

Fixed in changeset commit:"de728743b73541a320f68d087f4402a6d17620f1".

2025-04-27 1/1




